<?php

namespace Intergo\InventoryClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class InventoryApiHandler extends ApiHandler
{
   protected static $endpoints = [
        'inventories' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/inventories'],
        'inventoryPlans' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/inventory/:inventoryID/plans'],
        'requestInventory' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user-requests'],
        'subscriptions' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/subscriptions'],
        'services' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/services'],
        'getInventory' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/inventories/:id'],
        'updateUserSetting' => [self::METHOD => HttpMethodEnum::PUT, self::URL => '/user-inventories/:id/setting'],
        'userInventoryDetail' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/user-inventories/:id/detail'],
        'userInventories' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/user-inventories'],
        'userInventoryByNumber' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/user/inventory/:number'],
        'allowedCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/allowed-countries'],
        'renew' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/subscriptions/:id/renew'],
        'cancel' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/subscriptions/:id/cancel'],
        'subscriptionRenewals' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/subscriptions/:id/renewals'],
    ];

    static function getEndpoint($endpoint): array
    {
        return static::$endpoints[$endpoint];
    }
}